Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
GroupNode Class Reference

グループノードを表すクラス More...

Inheritance diagram for GroupNode:

## Public Types
enum | AutoAlignment { None = 0, Vertical, Horizonal }
| 自動整列 More...

## Public Member Functions
| GroupNode (NodeGraph nodeGraph, int nodeID)
| GroupNodeのコンストラクタ More...
override string | GetName ()
| ノードの名前を取得 More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
virtual bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Public Attributes
string | name = "New Group"
| グループノードの名前。 More...
Color | color = Color.white
| ノードの色 More...
AutoAlignment | autoAlignment = AutoAlignment.None
| オートレイアウト More...
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Additional Inherited Members
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Detailed Description

グループノードを表すクラス

## Member Enumeration Documentation

enum AutoAlignment
| strong

自動整列

Enumerator
None | なし
Vertical | 垂直方向
Horizonal | 水平方向

## Constructor & Destructor Documentation

GroupNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

GroupNodeのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID

グループノードの生成はNodeGraph.CreateGroup()を使用してください。

## Member Function Documentation

override string GetName | ( |  | ) |
| virtual

ノードの名前を取得

Returns
  ノードの名前

Reimplemented from Node.

## Member Data Documentation

AutoAlignment autoAlignment = AutoAlignment.None

オートレイアウト

Color color = Color.white

ノードの色

string name = "New Group"

グループノードの名前。